path: /build/build/wpebackend-fdo-gui-libs-1.0-1.14.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} gui-libs/wpebackend-fdo:1.0 -pv -t && \
    emerge -j ${JOBS} --nodeps gui-libs/wpebackend-fdo:1.0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/wpebackend-fdo && luet-portage --dir
    /pkgdir/wpebackend-fdo gui-libs/wpebackend-fdo:1.0 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ca5d7e99f71bef8f129764b7d3549fb7129d06e05d16d0fb0011a460696ea0bc
  package:
    name: wpebackend-fdo
    version: 1.14.2
    category: gui-libs-1.0
    requires:
    - name: gnome-common
      version: '>=0'
      category: gnome-base-3
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: WPE backend designed for Linux desktop systems
    uri:
    - https://wpewebkit.org/
    license: BSD-2
    buildtimestamp: 2023-09-04 22:06:16.946714797 +0000 UTC m=+256.318642240
    labels:
      BDEPEND: dev-util/wayland-scanner virtual/pkgconfig >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2
      DEPEND: media-libs/mesa[egl] dev-libs/glib:2 >=dev-libs/wayland-1.10 >=gui-libs/libwpe-1.6:1.0
      RDEPEND: media-libs/mesa[egl] dev-libs/glib:2 >=dev-libs/wayland-1.10 >=gui-libs/libwpe-1.6:1.0
      emerge.packages: gui-libs/wpebackend-fdo:1.0
      kit: core-gl-kit
      original.package.name: gui-libs/wpebackend-fdo
      original.package.slot: "1.0"
      original.package.version: 1.14.2
    treedir: /build/packages
  package_dir: /pkgdir/wpebackend-fdo
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: be9b9d7213000fe3c9b69c688c2bdecdb62f1cb6badcf16449988233e9bf7f73
compressiontype: zstd
files:
- usr/include/wpe-fdo-1.0/wpe/exported-buffer-shm.h
- usr/include/wpe-fdo-1.0/wpe/exported-image-egl.h
- usr/include/wpe-fdo-1.0/wpe/extensions/audio.h
- usr/include/wpe-fdo-1.0/wpe/extensions/video-plane-display-dmabuf.h
- usr/include/wpe-fdo-1.0/wpe/fdo-egl.h
- usr/include/wpe-fdo-1.0/wpe/fdo.h
- usr/include/wpe-fdo-1.0/wpe/initialize-egl.h
- usr/include/wpe-fdo-1.0/wpe/unstable/dmabuf-pool-entry.h
- usr/include/wpe-fdo-1.0/wpe/unstable/fdo-dmabuf.h
- usr/include/wpe-fdo-1.0/wpe/unstable/fdo-eglstream.h
- usr/include/wpe-fdo-1.0/wpe/unstable/fdo-shm.h
- usr/include/wpe-fdo-1.0/wpe/unstable/initialize-dmabuf.h
- usr/include/wpe-fdo-1.0/wpe/unstable/initialize-eglstream.h
- usr/include/wpe-fdo-1.0/wpe/unstable/initialize-shm.h
- usr/include/wpe-fdo-1.0/wpe/unstable/view-backend-dmabuf-pool-fdo.h
- usr/include/wpe-fdo-1.0/wpe/unstable/view-backend-exportable-eglstream.h
- usr/include/wpe-fdo-1.0/wpe/version.h
- usr/include/wpe-fdo-1.0/wpe/view-backend-exportable-egl.h
- usr/include/wpe-fdo-1.0/wpe/view-backend-exportable.h
- usr/include/wpe-fdo-1.0/wpe/wpebackend-fdo-version.h
- usr/lib64/libWPEBackend-fdo-1.0.so
- usr/lib64/libWPEBackend-fdo-1.0.so.1
- usr/lib64/libWPEBackend-fdo-1.0.so.1.9.4
- usr/lib64/pkgconfig/wpebackend-fdo-1.0.pc
- usr/share/doc/wpebackend-fdo-1.14.2/NEWS.bz2
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/BDEPEND
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/BUILD_TIME
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/CATEGORY
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/CBUILD
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/CFLAGS
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/CHOST
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/CONTENTS
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/COUNTER
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/CXXFLAGS
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/DEFINED_PHASES
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/DEPEND
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/DESCRIPTION
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/EAPI
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/FEATURES
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/HOMEPAGE
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/INHERITED
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/IUSE
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/IUSE_EFFECTIVE
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/KEYWORDS
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/LDFLAGS
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/LICENSE
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/NEEDED
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/PF
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/PROVIDES
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/RDEPEND
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/REQUIRES
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/SIZE
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/SLOT
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/USE
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/environment.bz2
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/repository
- var/db/pkg/gui-libs/wpebackend-fdo-1.14.2/wpebackend-fdo-1.14.2.ebuild
package_cacheimage: ""
runtime:
  name: wpebackend-fdo
  version: 1.14.2
  category: gui-libs-1.0
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: wayland
    version: '>=0'
    category: dev-libs
  - name: libwpe
    version: '>=0'
    category: gui-libs-1.0
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: WPE backend designed for Linux desktop systems
  uri:
  - https://wpewebkit.org/
  license: BSD-2
  labels:
    BDEPEND: dev-util/wayland-scanner virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: media-libs/mesa[egl] dev-libs/glib:2 >=dev-libs/wayland-1.10 >=gui-libs/libwpe-1.6:1.0
    RDEPEND: media-libs/mesa[egl] dev-libs/glib:2 >=dev-libs/wayland-1.10 >=gui-libs/libwpe-1.6:1.0
    emerge.packages: gui-libs/wpebackend-fdo:1.0
    kit: core-gl-kit
    original.package.name: gui-libs/wpebackend-fdo
    original.package.slot: "1.0"
    original.package.version: 1.14.2
